Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 423791 - dev-util/codeblocks-10.05: fails to build with gcc 4.7
Summary: dev-util/codeblocks-10.05: fails to build with gcc 4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo wxWidgets Herd
URL: https://tinderboxlogs.s3.amazonaws.co...
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.7
  Show dependency tree
 
Reported: 2012-06-27 09:22 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-11-02 06:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2012-06-27 09:22:47 UTC
Portage 2.2.0_alpha112 (default/linux/amd64/10.0, gcc-4.7.1-asneeded, glibc-2.15-r2, 3.4.3-hardened x86_64)
=================================================================
System uname: Linux-3.4.3-hardened-x86_64-AMD_Opteron-TM-_Processor_6272-with-gentoo-2.1
Timestamp of tree: Sun, 24 Jun 2012 17:30:02 +0000
ccache version 3.1.7 [disabled]
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.6.8, 2.7.3-r2, 3.2.3-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.10.3, 1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native -ftracer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/openjms/config /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/qpsmtpd/plugins /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -march=native -ftracer"
DISTDIR="/var/cache/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j24"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/var/cache/portage/tree"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex acl amd64 berkdb bzip2 cli cracklib crypt cups cxx dri ffmpeg fortran gdbm gnutls gpm iconv ipv6 mmx modules mudflap multilib ncurses nls nptl openmp pam pax_kernel pcre plasma pppd qt3support readline semantic-desktop session sse sse2 sse3 sse4 ssl ssse3 tcpd unicode vhosts xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19 ree18" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Gao Xiang 2012-09-21 05:57:34 UTC
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../../src/include -I../../../../src/include/scripting/include -I../../../../src/include/scripting/squirrel -Ulinux -Uunix -O2 -ffast-math -DCB_AUTOCONF -Os -pipe -march=native -mtune=native -fno-strict-aliasing -fPIC -DPIC -fexceptions -c sqstate.cpp  -fPIC -DPIC -o .libs/sqstate.o
In file included from ../../../../src/include/scripting/squirrel/sqobject.h:5:0,
                 from ../../../../src/include/scripting/squirrel/sqpcheader.h:16,
                 from sqcompiler.cpp:4:
../../../../src/include/scripting/squirrel/squtils.h: In instantiation of ‘void sqvector<T>::_realloc(SQUnsignedInteger) [with T = long int; SQUnsignedInteger = long unsigned int]’:
../../../../src/include/scripting/squirrel/squtils.h:66:4:   required from ‘T& sqvector<T>::push_back(const T&) [with T = long int]’
../../../../src/include/scripting/squirrel/sqfuncstate.h:25:68:   required from here
../../../../src/include/scripting/squirrel/squtils.h:97:3: error: ‘sq_vm_realloc’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../../../src/include/scripting/squirrel/sqpcheader.h:17:0,
                 from sqcompiler.cpp:4:
../../../../src/include/scripting/squirrel/sqstate.h:141:7: note: ‘void* sq_vm_realloc(void*, SQUnsignedInteger, SQUnsignedInteger)’ declared here, later in the translation unit
make[4]: *** [sqcompiler.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
In file included from ../../../../src/include/scripting/squirrel/sqobject.h:5:0,
                 from ../../../../src/include/scripting/squirrel/sqpcheader.h:16,
                 from sqfuncstate.cpp:4:
../../../../src/include/scripting/squirrel/squtils.h: In instantiation of ‘sqvector<T>::~sqvector() [with T = long int]’:
sqfuncstate.cpp:99:96:   required from here
../../../../src/include/scripting/squirrel/squtils.h:38:4: error: ‘sq_vm_free’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../../../src/include/scripting/squirrel/sqpcheader.h:17:0,
                 from sqfuncstate.cpp:4:
../../../../src/include/scripting/squirrel/sqstate.h:142:6: note: ‘void sq_vm_free(void*, SQUnsignedInteger)’ declared here, later in the translation unit
In file included from ../../../../src/include/scripting/squirrel/sqobject.h:5:0,
                 from ../../../../src/include/scripting/squirrel/sqpcheader.h:16,
                 from sqfuncstate.cpp:4:
../../../../src/include/scripting/squirrel/squtils.h: In instantiation of ‘void sqvector<T>::_realloc(SQUnsignedInteger) [with T = long int; SQUnsignedInteger = long unsigned int]’:
../../../../src/include/scripting/squirrel/squtils.h:66:4:   required from ‘T& sqvector<T>::push_back(const T&) [with T = long int]’
../../../../src/include/scripting/squirrel/sqfuncstate.h:25:68:   required from here
../../../../src/include/scripting/squirrel/squtils.h:97:3: error: ‘sq_vm_realloc’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../../../src/include/scripting/squirrel/sqpcheader.h:17:0,
                 from sqfuncstate.cpp:4:
../../../../src/include/scripting/squirrel/sqstate.h:141:7: note: ‘void* sq_vm_realloc(void*, SQUnsignedInteger, SQUnsignedInteger)’ declared here, later in the translation unit
make[4]: *** [sqfuncstate.lo] Error 1
In file included from ../../../../src/include/scripting/squirrel/sqobject.h:5:0,
                 from ../../../../src/include/scripting/squirrel/sqpcheader.h:16,
                 from sqlexer.cpp:4:
../../../../src/include/scripting/squirrel/squtils.h: In instantiation of ‘sqvector<T>::~sqvector() [with T = char]’:
sqlexer.cpp:21:18:   required from here
../../../../src/include/scripting/squirrel/squtils.h:38:4: error: ‘sq_vm_free’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../../../src/include/scripting/squirrel/sqpcheader.h:17:0,
                 from sqlexer.cpp:4:
../../../../src/include/scripting/squirrel/sqstate.h:142:6: note: ‘void sq_vm_free(void*, SQUnsignedInteger)’ declared here, later in the translation unit
In file included from ../../../../src/include/scripting/squirrel/sqobject.h:5:0,
                 from ../../../../src/include/scripting/squirrel/sqpcheader.h:16,
                 from sqlexer.cpp:4:
../../../../src/include/scripting/squirrel/squtils.h: In instantiation of ‘void sqvector<T>::_realloc(SQUnsignedInteger) [with T = char; SQUnsignedInteger = long unsigned int]’:
../../../../src/include/scripting/squirrel/squtils.h:45:4:   required from ‘void sqvector<T>::resize(SQUnsignedInteger, const T&) [with T = char; SQUnsignedInteger = long unsigned int]’
sqlexer.cpp:278:21:   required from here
../../../../src/include/scripting/squirrel/squtils.h:97:3: error: ‘sq_vm_realloc’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../../../src/include/scripting/squirrel/sqpcheader.h:17:0,
                 from sqlexer.cpp:4:
../../../../src/include/scripting/squirrel/sqstate.h:141:7: note: ‘void* sq_vm_realloc(void*, SQUnsignedInteger, SQUnsignedInteger)’ declared here, later in the translation unit
make[4]: *** [sqlexer.lo] Error 1
In file included from ../../../../src/include/scripting/squirrel/sqobject.h:5:0,
                 from ../../../../src/include/scripting/squirrel/sqpcheader.h:16,
                 from sqstate.cpp:4:
../../../../src/include/scripting/squirrel/squtils.h: In instantiation of ‘sqvector<T>::~sqvector() [with T = long int]’:
../../../../src/include/scripting/squirrel/sqclosure.h:83:52:   required from here
../../../../src/include/scripting/squirrel/squtils.h:38:4: error: ‘sq_vm_free’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../../../src/include/scripting/squirrel/sqpcheader.h:17:0,
                 from sqstate.cpp:4:
../../../../src/include/scripting/squirrel/sqstate.h:142:6: note: ‘void sq_vm_free(void*, SQUnsignedInteger)’ declared here, later in the translation unit
In file included from ../../../../src/include/scripting/squirrel/sqobject.h:5:0,
                 from ../../../../src/include/scripting/squirrel/sqpcheader.h:16,
                 from sqstate.cpp:4:
../../../../src/include/scripting/squirrel/squtils.h: In instantiation of ‘void sqvector<T>::_realloc(SQUnsignedInteger) [with T = long int; SQUnsignedInteger = long unsigned int]’:
../../../../src/include/scripting/squirrel/squtils.h:66:4:   required from ‘T& sqvector<T>::push_back(const T&) [with T = long int]’
sqstate.cpp:62:44:   required from here
../../../../src/include/scripting/squirrel/squtils.h:97:3: error: ‘sq_vm_realloc’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../../../src/include/scripting/squirrel/sqpcheader.h:17:0,
                 from sqstate.cpp:4:
../../../../src/include/scripting/squirrel/sqstate.h:141:7: note: ‘void* sq_vm_realloc(void*, SQUnsignedInteger, SQUnsignedInteger)’ declared here, later in the translation unit
make[4]: *** [sqstate.lo] Error 1
make[4]: Leaving directory `/var/tmp/portage/dev-util/codeblocks-10.05/work/codeblocks-10.05-release/src/sdk/scripting/squirrel'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/dev-util/codeblocks-10.05/work/codeblocks-10.05-release/src/sdk/scripting'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-util/codeblocks-10.05/work/codeblocks-10.05-release/src/sdk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-util/codeblocks-10.05/work/codeblocks-10.05-release/src'
make: *** [all-recursive] Error 1
Comment 2 Gao Xiang 2012-09-21 05:58:14 UTC
Portage 2.1.11.18 (default/linux/amd64/10.0/desktop/kde, gcc-4.7.1, glibc-2.15-r2, 3.5.4-pf x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.5.4-pf-x86_64-Intel-R-_Core-TM-_i5_CPU_M_480_@_2.67GHz-with-gentoo-2.2
Timestamp of tree: Fri, 21 Sep 2012 05:30:01 +0000
ccache version 3.1.8 [enabled]
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/ccache:          3.1.8
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.3
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo sage-on-gentoo gentoo-zh systemd bumblebee sunrise kde science emacs mozilla x-overlay
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Os -pipe -march=native -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-Os -pipe -march=native -mtune=native"
DISTDIR="/var/distfiles"
FCFLAGS="-Os -pipe -march=native -mtune=native"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parallel-install protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-Os -pipe -march=native -mtune=native"
GENTOO_MIRRORS="http://localhost/gentoo http://mirrors.ustc.edu.cn/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="zh_CN"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sage-on-gentoo /var/lib/layman/gentoo-zh /var/lib/layman/systemd /var/lib/layman/bumblebee /var/lib/layman/sunrise /var/lib/layman/kde /var/lib/layman/science /var/lib/layman/emacs /var/lib/layman/mozilla /root/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 c++0x cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emacs emboss encode exif fam fcitx firefox flac fortran gdbm gif gpm handbook iconv icu ipv6 jpeg kde kdepim kipi kontact latex lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses networkmanager nls nptl ogg opencl opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pppd pulseaudio qt3support qt4 readline sdl semantic-desktop session spell sse sse2 sse4_1 ssl ssse3 startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vim-syntax vorbis wxwidgets x264 xcb xcomposite xinerama xml xorg xscreensaver xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="zh_CN" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2012-11-02 06:03:08 UTC
Fixed in 10.05-r1.